Subject: Re: "message to save shrank" error in pine 3.92

From: Mark Crispin <[email-masked]>
Date: Fri, 2 May 1997 10:32:03 -0700

On 2 May 1997, Steven McElwee wrote:
> Every now and then some pine users on my system run into the following
> error when attempting to save a message to another folder:
> 
> Message to save shrank!  (#10: 2887 -> 1606)
> 
> I've looked at the source code for pine 3.92 and have tracked this error
> message to mailcmd.c. I'm still confused about what conditions are responsible for this occurring. I'd appreciate it if someone could
> provide me with some enlightenment about this.

This is a bug which should be gone once and for all in Pine 4.00.  The
most common cause is NULs in messages; Pine 3.xx is not NUL-safe.

The error message occurs when the calculated header + text size is less
than the reported "full RFC 822 size".  The lower levels (imap-3.6
toolkit) know the true size of the data, but Pine's upper levels has no
way to find it out other than by strlen() which terminates on NULs. 

We are trying to make Pine 4.00 fully NUL-safe and eliminate strlen() 
calls.  As of the imap-4 tookit, the lower levels pass up the true size of
the data to the upper levels.  Pine 4.00 uses the imap-4.1 tookit.

Regrettably, it is not possible to build Pine 3.9x with the imap-4.1
toolkit; you'll have to wait for Pine 4.00 to come out.  We're working on
it as fast as we can!

-- Mark --

Unsolicited commercial email is NOT welcome at this email address.